rte_tls.h(3)

NAME
rte_tls.h

SYNOPSIS

#include <rte_byteorder.h>

  Data Structures

struct rte_tls_hdr

  Macros

#define RTE_TLS_TYPE_INVALID 0
#define RTE_TLS_TYPE_CHANGE_CIPHER_SPEC 20
#define RTE_TLS_TYPE_ALERT 21
#define RTE_TLS_TYPE_HANDSHAKE 22
#define RTE_TLS_TYPE_APPDATA 23
#define RTE_TLS_TYPE_HEARTBEAT 24
#define RTE_TLS_TYPE_MAX 255
#define RTE_TLS_VERSION_1_2 0x0303
#define RTE_TLS_VERSION_1_3 0x0304

Detailed Description

Transport layer security (TLS) related defines.

Definition in file rte_tls.h.

Macro Definition Documentation

  #define RTE_TLS_TYPE_INVALID 0
Invalid TLS message type.

Definition at line 16 of file rte_tls.h.

  #define RTE_TLS_TYPE_CHANGE_CIPHER_SPEC 20
Change cipher spec message.

Definition at line 17 of file rte_tls.h.

  #define RTE_TLS_TYPE_ALERT 21
Alert message.

Definition at line 18 of file rte_tls.h.

  #define RTE_TLS_TYPE_HANDSHAKE 22
Handshake message for TLS.

Definition at line 19 of file rte_tls.h.

  #define RTE_TLS_TYPE_APPDATA 23
TLS application data message.

Definition at line 20 of file rte_tls.h.

  #define RTE_TLS_TYPE_HEARTBEAT 24
TLS 1.3 heartbeat message.

Definition at line 21 of file rte_tls.h.

  #define RTE_TLS_TYPE_MAX 255
Maximum value as TLS content type.

Definition at line 22 of file rte_tls.h.

  #define RTE_TLS_VERSION_1_2 0x0303
TLS 1.2 version.

Definition at line 24 of file rte_tls.h.

  #define RTE_TLS_VERSION_1_3 0x0304
TLS 1.3 version.

Definition at line 25 of file rte_tls.h.

Author

Generated automatically by Doxygen for DPDK from the source code.